<xsl:stylesheet version="1.0" 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:template match="/">
    <html>
      <head>
        <title></title>
        <link href="CSS/vcard.css" rel="stylesheet" type="text/css"/>
      </head>
      <body>
        <xsl:apply-templates/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="xCard">
    <div class="vCards">
      <xsl:apply-templates/>
    </div>
  </xsl:template>

  <xsl:template match="vCard">
    <div class="vCard">
      <div>
        <span class="ID">
          <span class="people"><xsl:value-of select="N/GIVEN"/><xsl:text> </xsl:text><xsl:value-of select="N/FAMILY"/></span><br/>
          <xsl:value-of select="TITLE"/><xsl:if test="ROLE"><xsl:text> - </xsl:text><xsl:value-of select="ROLE"/></xsl:if><br/>
          <xsl:value-of select="ORG/ORGNAME"/><xsl:text> - </xsl:text><xsl:value-of select="ORG/ORGUNIT"/><br/>
        </span>
        <span class="picture"><img src=""/></span>
      </div>

      <div class="address">
        <xsl:apply-templates select="ADR[WORK]"/>
      </div>
      <div>
        <span class="tel"><xsl:apply-templates select="TEL[WORK]"/></span>
        <span class="internet"><xsl:apply-templates select="EMAIL[WORK and INTERNET]"/></span>
      </div>
    </div>
</xsl:template>

  <xsl:template match="EMAIL[WORK and INTERNET]">
    <a href="mailto:{USERID}"><xsl:value-of select='USERID'/></a><br/>
  </xsl:template>

  <!--xsl:template match="vCard" mode="home">
    <div class="vCard">
      <xsl:value-of select="N/GIVEN"/> <xsl:value-of select="N/FAMILY"/>
      <xsl:apply-template select="TEL[HOME]|ADR[HOME]"/>
      <xsl:value-of select="."/>
    </div>
  </xsl:template-->


  <xsl:template match="TEL[VOICE|FAX|CELL]">
    <SPAN>
      <xsl:choose>
        <xsl:when test="VOICE">Tel.</xsl:when>
        <xsl:when test="FAX">Fax</xsl:when>
        <xsl:when test="CELL">Mobile</xsl:when>
      </xsl:choose>
      <xsl:value-of select="NUMBER"/><br/>
    </SPAN>
  </xsl:template>

  <xsl:template match="ADR">
    <div>
      <xsl:for-each select="EXTADD">
        <xsl:value-of select="EXTADD"/><br/>  
      </xsl:for-each>
      <xsl:value-of select="PCODE"/><xsl:text> </xsl:text><xsl:value-of select="LOCALTY"/><br/>  
      <xsl:value-of select="CTRY"/><br/>  
    </div>
  </xsl:template>

</xsl:stylesheet>